curl --request PUT \
--url https://dev.flextell.ai/api/v1/doctors/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"email": "jsmith@example.com",
"password": "<string>",
"password_confirmation": "<string>",
"phone": "<string>",
"title": "Uzm. Dr.",
"blood_group": "ARh+",
"language": [
"<string>"
],
"avatar_url": "<string>",
"is_active": true,
"bio": "<string>",
"treatment_ids": [
2
]
}
'{
"success": "<string>",
"data": {
"id": 123,
"name": "<string>",
"email": "<string>",
"title": "<string>",
"phone": "<string>",
"emergency_contact_name": "<string>",
"emergency_contact_surname": "<string>",
"emergency_contact_phone_number": "<string>",
"blood_group": "<string>",
"language": [
"<unknown>"
],
"avatar_url": "<string>",
"is_active": true,
"bio": "<string>",
"last_login_at": "2023-11-07T05:31:56Z",
"last_login_ip": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"roles": [
{
"id": 123,
"name": "<string>"
}
],
"treatments": [
{
"id": 123,
"name": "<string>",
"price": "<string>",
"description": "<string>",
"session": 123,
"is_active": "<string>",
"extra_info": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"products": [
{
"id": 123,
"name": "<string>",
"full_name": "<string>",
"barcode": "<string>",
"description": "<string>",
"box_quantity": "<string>",
"unit_volume": "<string>",
"critical_stock_level": 123,
"invoice_name": "<string>",
"price": 123,
"tax_rate": 123,
"is_active": "<string>",
"brand": {
"id": 123,
"name": "<string>"
},
"product_type": {
"id": 123,
"name": "<string>",
"category": "<string>"
},
"category": {
"id": 123,
"name": "<string>"
},
"unit_code": {
"id": "<string>",
"name": "<string>",
"code": "<string>"
}
}
],
"users": [
{
"id": 123,
"name": "<string>"
}
],
"sessions": [
{
"id": 123,
"session_order": 123,
"session_type": "control",
"next_gap_days": 123,
"offset_days": 123
}
]
}
]
}
}The access token received from the authorization server in the OAuth 2.0 flow.
Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.
The doctor identifier
Doctor's name.
255Doctor's email address.
255Doctor's password.
8Doctor's password confirmation. Must match the password field.
8Doctor's phone number.
20Doctor's title.
Uzm. Dr., Dr., Prof. Dr., Doç. Dr., Arş. Gör., Öğr. Gör. Doctor's blood group.
ARh+, ARh-, BRh+, BRh-, ABRh+, ABRh-, ORh+, ORh- 10Doctor's language preferences.
Doctor's avatar URL.
1000Doctor's active status.
1000x >= 1curl --request PUT \
--url https://dev.flextell.ai/api/v1/doctors/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"email": "jsmith@example.com",
"password": "<string>",
"password_confirmation": "<string>",
"phone": "<string>",
"title": "Uzm. Dr.",
"blood_group": "ARh+",
"language": [
"<string>"
],
"avatar_url": "<string>",
"is_active": true,
"bio": "<string>",
"treatment_ids": [
2
]
}
'{
"success": "<string>",
"data": {
"id": 123,
"name": "<string>",
"email": "<string>",
"title": "<string>",
"phone": "<string>",
"emergency_contact_name": "<string>",
"emergency_contact_surname": "<string>",
"emergency_contact_phone_number": "<string>",
"blood_group": "<string>",
"language": [
"<unknown>"
],
"avatar_url": "<string>",
"is_active": true,
"bio": "<string>",
"last_login_at": "2023-11-07T05:31:56Z",
"last_login_ip": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"roles": [
{
"id": 123,
"name": "<string>"
}
],
"treatments": [
{
"id": 123,
"name": "<string>",
"price": "<string>",
"description": "<string>",
"session": 123,
"is_active": "<string>",
"extra_info": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"products": [
{
"id": 123,
"name": "<string>",
"full_name": "<string>",
"barcode": "<string>",
"description": "<string>",
"box_quantity": "<string>",
"unit_volume": "<string>",
"critical_stock_level": 123,
"invoice_name": "<string>",
"price": 123,
"tax_rate": 123,
"is_active": "<string>",
"brand": {
"id": 123,
"name": "<string>"
},
"product_type": {
"id": 123,
"name": "<string>",
"category": "<string>"
},
"category": {
"id": 123,
"name": "<string>"
},
"unit_code": {
"id": "<string>",
"name": "<string>",
"code": "<string>"
}
}
],
"users": [
{
"id": 123,
"name": "<string>"
}
],
"sessions": [
{
"id": 123,
"session_order": 123,
"session_type": "control",
"next_gap_days": 123,
"offset_days": 123
}
]
}
]
}
}